﻿using System;
using EnvelopeCreatorProject.DocusignAPI;
using EnvelopeCreatorProject.Models.Recipients.IdentityCheck;

namespace EnvelopeCreatorProject.Models.Recipients.IdentityCheckBuilders
{
    public class PhoneAuthTypeBuilder : AuthTypeBuilder, IIdentityCheckBuilder
    {
        public new string Build(Recipient recipient)
        {
            base.Build(recipient);
            _objRecipient.AppendLine("\"phoneAuthentication\":{");
            _objRecipient.AppendLine("\"senderProvidedNumbers\":[");
            _objRecipient.AppendLine(String.Join(",", ((PhoneRecipientAuthentication)recipient.RecipientAuthentication).SenderProvidedNumbers));
            _objRecipient.AppendLine("],");
            _objRecipient.AppendLine(String.Format("\"recipMayProvideNumber\":\"{0}\",", ((PhoneRecipientAuthentication)recipient.RecipientAuthentication).RecipMayProvideNumber.ToString()));
            _objRecipient.AppendLine(String.Format("\"validateRecipProvidedNumber\":\"{0}\",", ((PhoneRecipientAuthentication)recipient.RecipientAuthentication).ValidateRecipProvidedNumber.ToString()));
            _objRecipient.AppendLine(String.Format("\"recordVoicePrint\":\"{0}\"", ((PhoneRecipientAuthentication)recipient.RecipientAuthentication).RecordVoicePrint.ToString()));
            _objRecipient.Append("},");
            return _objRecipient.ToString();
        }
    }
}
